import { type PlanTier } from '@prisma/client';
import { type DomainEvent } from '@modules/shared';

export class SubscriptionCreatedEvent implements DomainEvent {
  readonly eventName = 'subscription.created';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly userId: string,
    public readonly planTier: PlanTier,
  ) {}
}
